# 63. Mutation: Spara organisation

Mutation för att lägga till eller redigera "Organization". Den "User" som skickade saveOrganization-begäran blir ägare till "Organization".

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    namn
    efternamn
    förnamn
    email
    telefon
    skapadDatum
    updatedDate
  }
}
```

{% endcode %}

För att redigera en befintlig "Organization", lägg till uuid-attributet i begäran.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "New organization name"
      surname: "Owner surname"
      givenName: "Owner given name"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    namn
    efternamn
    förnamn
    email
    telefon
    skapadDatum
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/63.-mutation-spara-organisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
